Hopp til navigasjon Hopp til innhold
Picture 1 (Ill.: Apple)

– Ikke oppgrader iPhone!

Oppdatert: iPhone Dev Team advarer mot 2.0.1

Folkene bak iPhone Dev Team har laget PWNAGE, programmet som åpner opp iPhonen din for tredjepartsprogramvare. De klarte det med den første iPhonen, og for ikke lenge siden åpnet de også opp iPhone 3G. Det gjaldt imidlertid kun versjon 2.0. Nå jobber de på spreng for å få 2.0.1-versjonen klar.

Kun for de med jailbreak
Advarselen gjelder altså kun for de som har en såkalt jailbreaket iPhone 3G.

Grunnen til at utviklingsteamet går så hardt imot oppgraderingen grunner i at nyåpnede iPhone 3G-telefoner kan få store problemer dersom de oppgraderer til den nye firmwaren.

2.0.1-oppdateringen inkluderer nemlig en baseband-oppdatering. Det betyr at dersom man prøver å oppgradere en ulåst eller jailbreaket telefon, er sjansen stor for at telefonen låser seg.

Jobber med løsning
Neste versjon av PwnageTool vil slippes så fort testingen er gjennomført, og alt har blitt sjekket og resjekket. Om baseband-oppdateringen skapte nye problemer for dem vil de ikke si noe om.

De legger imidlertid vekt på at om man våger seg på en oppdatering med en ulåst telefon, vil det ikke være mulig å reversere prosessen. Baseband-overgangen kan ikke endres på i ettertid.

iPhone 2G blir ikke ødelagt
I følge bloggen deres skal iPhone 2G være utenfor faresonen, og kan oppgraderes hvis det er ønskelig. Det fører imidlertid til at du mister dine ulisensierte programmer, men det ødelegger i hvert fall ikke telefonen.

Oppdatert: På iPhone Dev Teams blog står det nå at Pwnage Tool versjon 2.0.2 vil være klar «om et par timer». Dermed vil telefoner med jailbreak også kunne oppdateres til nyeste firmware, uten at telefonen kræsjer og uten tap av ulisensierte applikasjoner.

Kilde: iPhone Dev Team

Stikkord: dev team, iphone, jailbreak